Index: npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/run
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/run	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-smtpd/run	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+exec 2>&1
+
+##### OUD
+# QMAILDUID=`id -u qmaild`
+# NOFILESGID=`id -g qmaild`
+# MAXSMTPD=`cat /var/qmail/control/concurrencyincoming`
+# LOCAL=`head -1 /var/qmail/control/me`
+# if [ -z "$QMAILDUID" -o -z "$NOFILESGID" -o -z "$MAXSMTPD" -o -z "$LOCAL" ]; then
+#     echo QMAILDUID, NOFILESGID, MAXSMTPD, or LOCAL is unset in
+#     echo /var/qmail/supervise/qmail-smtpd/run
+#     exit 1
+# fi
+# if [ ! -f /var/qmail/control/rcpthosts ]; then
+#     echo "No /var/qmail/control/rcpthosts!"
+#     echo "Refusing to start SMTP listener because it'll create an open relay"
+#     exit 1
+# fi
+# exec /usr/bin/softlimit -m 150000000 /usr/bin/tcpserver -v -R -l "$LOCAL" -x /etc/qmail/tcp.smtp.cdb -c "$MAXSMTPD" -u "$QMAILDUID" -g "$NOFILESGID" 0 smtp /usr/bin/rblsmtpd -r cbl.abuseat.org -r bl.spamcop.net /usr/bin/fixcrio /var/qmail/bin/qmail-smtpd 2>&1
+######
+
+QMAILDUID=`id -u qmaild`
+NOFILESGID=`id -g qmaild`
+MAXSMTPD=`cat /var/qmail/control/concurrencyincoming`
+SOFTLIMIT=`cat /var/qmail/control/softlimit`
+LOCAL=`head -1 /var/qmail/control/me`
+
+# This enables greetdelay for qmail-smtpd
+export SMTPD_GREETDELAY=20
+export DROP_PRE_GREET=1
+
+# This enables chkuser
+export CHKUSER_START=ALWAYS
+
+# DKIM - SURBL configuration
+# DKIMQUEUE and SURBLQUEUE are front-ends of qmail-queue
+#export SURBL=1                               # Comment out to enable SURBL filtering
+#export QMAILQUEUE=/var/qmail/bin/surblqueue  # executes surblfilter
+#export SURBLQUEUE=/var/qmail/bin/qmail-dkim  # executes qmail-dkim afer sublfilter
+#export DKIMQUEUE=/var/qmail/bin/simscan      # simscan is executed after qmail-dkim
+# DKIM verification. Use carefully
+#export DKIMVERIFY="FGHKLMNOQRTVWjp"
+# This is to avoid verification of outgoing messages
+#export RELAYCLIENT_NODKIMVERIFY=1
+
+# This turns off TLS on port 25
+# export DISABLETLS="1"
+
+# Requires that authenticated user and 'mail from' are identical
+#export FORCEAUTHMAILFROM="1"
+
+# rcptcheck-overlimit. Limits the number of emails sent by relayclients
+export RCPTCHECK=/var/qmail/bin/rcptcheck-overlimit.sh
+export RCPTCHECKRELAYCLIENT="1"
+
+# This enables simscan debug
+#export SIMSCAN_DEBUG=4
+
+exec /usr/bin/softlimit -m "$SOFTLIMIT" \
+    /usr/bin/tcpserver -v -H -R -l "$LOCAL" \
+    -x /etc/qmail/tcp.smtp.cdb -c "$MAXSMTPD" \
+    -u "$QMAILDUID" -g "$NOFILESGID" 0 25 \
+    /var/qmail/bin/qmail-smtpd 2>&1
Index: npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-submission/log/run
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-submission/log/run	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-submission/log/run	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,2 @@
+#!/bin/sh
+exec /usr/bin/setuidgid qmaill logger -t qmail-submission -p mail.info
Index: npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-submission/run
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-submission/run	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/var/qmail/supervise/qmail-submission/run	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,40 @@
+#!/bin/sh
+
+exec 2>&1
+
+QMAILDUID=`id -u qmaild`
+NOFILESGID=`id -g qmaild`
+MAXSMTPD=`cat /var/qmail/control/concurrencyincoming`
+SOFTLIMIT=`cat /var/qmail/control/softlimit`
+LOCAL=`head -1 /var/qmail/control/me`
+
+# You MUST export this, otherwise you'd get a 30 sec timeout
+# "!" if you want the submission feature (auth required)
+export SMTPAUTH="!"
+
+# This enables greetdelay for qmail-smtpd.
+export SMTPD_GREETDELAY=3
+export DROP_PRE_GREET=1
+
+# This enables chkuser
+export CHKUSER_START=ALWAYS
+
+# This makes qmail to allow connections without TLS (default 1)
+#export FORCETLS=0
+
+# This turns off TLS on port 587 (default 0)
+#export DISABLETLS=1
+
+# Requires that authenticated user and 'mail from' are identical (default 0)
+# export FORCEAUTHMAILFROM=1
+
+# rcptcheck-overlimit. Limits the number of emails sent by relayclients
+#export RCPTCHECK=/var/qmail/bin/rcptcheck-overlimit.sh
+#export RCPTCHECKRELAYCLIENT=1
+
+exec /usr/bin/softlimit -m "$SOFTLIMIT" \
+    /usr/bin/tcpserver -v -H -R -l "$LOCAL" \
+    -x /etc/qmail/tcp.submission.cdb -c "$MAXSMTPD" \
+    -u "$QMAILDUID" -g "$NOFILESGID" 0 587 \
+    /var/qmail/bin/qmail-smtpd \
+    /usr/bin/checkpassword-pam -H --noenv -s qmail 2>&1
Index: npl/mailserver/netqmail_conf/root/var/qmail/users
===================================================================
--- npl/mailserver/netqmail_conf/root/var/qmail/users	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/netqmail_conf/root/var/qmail/users	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+/home/system/qmail/users
Index: npl/mailserver/vpopmail/vpopmail.SlackBuild
===================================================================
--- npl/mailserver/vpopmail/vpopmail.SlackBuild	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/vpopmail/vpopmail.SlackBuild	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,88 @@
+#!/bin/bash
+
+##NEED:...
+##DEP:..
+#NEED:netqmail
+##DEP:openldap
+
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC
+
+#Directory where the sourcefiles are unpacked.
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR
+
+groupadd -g 89 vchkpw
+useradd -g vchkpw -u 89 -d /home/vpopmail vpopmail
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+MAKE_OPTS=""
+./configure \
+		--prefix=/usr \
+        --enable-qmaildir=/var/qmail/ \
+        --enable-qmail-newu=/var/qmail/bin/qmail-newu \
+        --enable-qmail-inject=/var/qmail/bin/qmail-inject \
+        --enable-qmail-newmrh=/var/qmail/bin/qmail-newmrh \
+        --disable-roaming-users \
+        --enable-libdir=/usr/lib \
+        --enable-logging=p \
+        --disable-clear-passwd \
+        --enable-auth-logging \
+        --disable-valias \
+        --disable-passwd \
+        --enable-qmail-ext \
+        --enable-learn-passwords
+
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
Index: npl/mailserver/vpopmail/vpopmail.arch
===================================================================
--- npl/mailserver/vpopmail/vpopmail.arch	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/vpopmail/vpopmail.arch	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+i586
Index: npl/mailserver/vpopmail/vpopmail.build
===================================================================
--- npl/mailserver/vpopmail/vpopmail.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/vpopmail/vpopmail.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+3
Index: npl/mailserver/vpopmail/vpopmail.md5
===================================================================
--- npl/mailserver/vpopmail/vpopmail.md5	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/vpopmail/vpopmail.md5	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,5 @@
+0b5c8febc20f543d2ad835f3f789a9fc  ./vpopmail-5.4.33.tar.gz
+027c54871b165377c218eb875e664883  ./vpopmail_dev.pkg
+2cabb116fa7175ec8e486c5e17d809be  ./vpopmail.pkg
+34c7dfd742f4608cdc663b3dc6ac6f32  ./vpopmail.SlackBuild
+26ee8ff81c125982c255e2d684609475  ./vpopmail.SlackBuild.log.gz
Index: npl/mailserver/vpopmail/vpopmail.version
===================================================================
--- npl/mailserver/vpopmail/vpopmail.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/vpopmail/vpopmail.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+5.4.33
Index: npl/mailserver/vpopmail/vpopmail_dev.arch
===================================================================
--- npl/mailserver/vpopmail/vpopmail_dev.arch	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/vpopmail/vpopmail_dev.arch	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+i586
Index: npl/mailserver/vpopmail/vpopmail_dev.build
===================================================================
--- npl/mailserver/vpopmail/vpopmail_dev.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/vpopmail/vpopmail_dev.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+3
Index: npl/mailserver/vpopmail/vpopmail_dev.version
===================================================================
--- npl/mailserver/vpopmail/vpopmail_dev.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/mailserver/vpopmail/vpopmail_dev.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+5.4.33
Index: npl/overig/checkpassword_pam/checkpassword_pam.SlackBuild
===================================================================
--- npl/overig/checkpassword_pam/checkpassword_pam.SlackBuild	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/overig/checkpassword_pam/checkpassword_pam.SlackBuild	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,80 @@
+#!/bin/bash
+
+##NEED:...
+##DEP:..
+#DEP:Linux_PAM
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+MAKE_OPTS=""
+./configure --prefix=/usr  || exit 1
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+#AUTOMAKE: Test (optional)
+if grep ^test: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS test || exit 1
+elif grep ^check: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS check || exit 1 
+fi
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/overig/checkpassword_pam/checkpassword_pam.arch
===================================================================
--- npl/overig/checkpassword_pam/checkpassword_pam.arch	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/overig/checkpassword_pam/checkpassword_pam.arch	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+i586
Index: npl/overig/checkpassword_pam/checkpassword_pam.build
===================================================================
--- npl/overig/checkpassword_pam/checkpassword_pam.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/overig/checkpassword_pam/checkpassword_pam.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+1
Index: npl/overig/checkpassword_pam/checkpassword_pam.depver
===================================================================
--- npl/overig/checkpassword_pam/checkpassword_pam.depver	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/overig/checkpassword_pam/checkpassword_pam.depver	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+Linux_PAM	1
Index: npl/overig/checkpassword_pam/checkpassword_pam.md5
===================================================================
--- npl/overig/checkpassword_pam/checkpassword_pam.md5	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/overig/checkpassword_pam/checkpassword_pam.md5	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,4 @@
+4db3b5f287010ebb4c6e6f3a6c64ce3f  ./checkpassword-pam-0.99.zip
+f3c073ce0798ac5095cd041c6c510362  ./checkpassword_pam.pkg
+6db126a5a8042ef345c64e824a325882  ./checkpassword_pam.SlackBuild
+f227464aad25025b0535c5e6fee3802e  ./checkpassword_pam.SlackBuild.log.gz
Index: npl/overig/checkpassword_pam/checkpassword_pam.version
===================================================================
--- npl/overig/checkpassword_pam/checkpassword_pam.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
+++ npl/overig/checkpassword_pam/checkpassword_pam.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -0,0 +1,1 @@
+0.99
Index: npl/system/openssl/openssl.SlackBuild.orig
===================================================================
--- npl/system/openssl/openssl.SlackBuild.orig	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ npl/system/openssl/openssl.SlackBuild.orig	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
 
 # Copyright 2000 BSDi, Inc. Concord, CA, USA
 # Copyright 2001, 2002 Slackware Linux, Inc.  Concord, CA, USA
-# Copyright 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014  Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2018  Patrick J. Volkerding, Sebeka, MN, USA
 # All rights reserved.
 #
@@ -23,11 +23,11 @@
 #  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
-
 # Set initial variables:
-CWD=$(pwd)
+cd $(dirname $0) ; CWD=$(pwd)
 TMP=${TMP:-/tmp}
 
+PKGNAM=openssl
 VERSION=${VERSION:-$(echo openssl-*.tar.gz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
 
 # Automatically determine the architecture we're building on:
@@ -46,7 +46,15 @@
 NAME2=openssl-solibs-$VERSION-$ARCH-$BUILD
 
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+  echo "${NAME1}.txz"
+  echo "${NAME2}.txz"
+  exit 0
+fi
+
 # Parallel build doesn't link properly.
 #NUMJOBS=${NUMJOBS:--j6}
-NUMJOBS=-j1
 
 # So that ls has the right field counts for parsing...
@@ -63,8 +71,13 @@
 
 # Use .so.1, not .so.1.0.0:
-zcat $CWD/openssl.soname.diff.gz | patch -p1 --backup --verbose --suffix=.orig || exit 1
+sed -i "s/soname=\$\$SHLIB\$\$SHLIB_SOVER\$\$SHLIB_SUFFIX/soname=\$\$SHLIB.1/g" Makefile.shared
+
 if [ "$ARCH" = "i586" ]; then
   # Build with -march=i586 -mtune=i686:
-  zcat $CWD/openssl.optsx86.diff.gz | patch -p1 --backup --verbose --suffix=.orig || exit 1
+  sed -i "/linux-elf/s/fomit-frame-pointer/fomit-frame-pointer -march=i586 -mtune=i686/g" Configure
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  # Build with -march=i686 -mtune=i686:
+  sed -i "/linux-elf/s/fomit-frame-pointer/fomit-frame-pointer -march=i686 -mtune=i686/g" Configure
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
@@ -77,7 +90,7 @@
 # what they were compiled against, whether or not the ABI has changed.
 #
-# So, we will use the OPENSSL_VERSION_NUMBER from openssl-1.0.1c unless ABI
+# So, we will use the OPENSSL_VERSION_NUMBER from openssl-1.0.2e unless ABI
 # breakage forces it to change.  Yes, we're finally using this old trick.  :)
-sed -i "s/#define OPENSSL_VERSION_NUMBER.*/\/* Use 0x1000103fL (1.0.1c) below to avoid pointlessly breaking the ABI *\/\n#define OPENSSL_VERSION_NUMBER 0x1000103fL/g" crypto/opensslv.h || exit 1
+sed -i "s/#define OPENSSL_VERSION_NUMBER.*/\/* Use 0x1000205fL (1.0.2e) below to avoid pointlessly breaking the ABI *\/\n#define OPENSSL_VERSION_NUMBER 0x1000205fL/g" crypto/opensslv.h || exit 1
 
 chown -R root:root .
@@ -98,19 +111,28 @@
 # These are the known patent issues with OpenSSL:
 # name   #         expires
-# MDC-2: 4,908,861  2007-03-13, included.  :-)
+# MDC-2: 4,908,861  2007-03-13, not included.
 # IDEA:  5,214,703  2010-05-25, not included.
 # RC5:   5,724,428  2015-03-03, not included.
+#
+# Although all of the above are expired, it's still probably
+# not a good idea to include them as there are better
+# algorithms to use.
 
 ./config \
  --prefix=/usr \
  --openssldir=/etc/ssl \
+ no-mdc2 \
  no-idea \
  no-rc5 \
  no-sse2 \
+ no-ssl2 \
+ no-weak-ssl-ciphers \
  shared
 
-make $NUMJOBS depend || make -j1  depend || exit 1
-
-make $NUMJOBS || make -j 1 || exit 1
+make $NUMJOBS depend || make depend || exit 1
+
+make $NUMJOBS || make || exit 1
+
+make test -j1 || exit 1
 
 make install INSTALL_PREFIX=$PKG1 || exit 1
@@ -144,7 +166,36 @@
 
 mv $PKG1/etc/ssl/man $PKG1/usr
-( cd $PKG1/usr/man/man1 ; mv passwd.1 ssl_passwd.1 )
-( cd $PKG1/usr/man/man3 ; mv rand.3 ssl_rand.3 )
-( cd $PKG1/usr/man/man3 ; mv err.3 ssl_err.3 )
+# Fix manpage name collisions, and relink anything that linked to the old name:
+( cd $PKG1/usr/man/man1
+  mv passwd.1 ssl_passwd.1
+  for file in *.1 ; do
+    if [ -L $file ]; then
+      if [ "$(readlink $file)" = "passwd.1" ]; then
+        rm -f $file
+        ln -sf ssl_passwd.1 $file
+      fi
+    fi
+  done )
+( cd $PKG1/usr/man/man3
+  mv rand.3 ssl_rand.3
+  for file in *.3 ; do
+    if [ -L $file ]; then
+      if [ "$(readlink $file)" = "rand.3" ]; then
+        rm -f $file
+        ln -sf ssl_rand.3 $file
+      fi
+    fi
+  done )
+( cd $PKG1/usr/man/man3
+  mv err.3 ssl_err.3
+  for file in *.3 ; do
+    if [ -L $file ]; then
+      if [ "$(readlink $file)" = "err.3" ]; then
+        rm -f $file
+        ln -sf ssl_err.3 $file
+      fi
+    fi
+  done )
+
 # Compress and symlink the man pages:
 if [ -d $PKG1/usr/man ]; then
Index: npl/system/openssl/openssl.build
===================================================================
--- npl/system/openssl/openssl.build	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ npl/system/openssl/openssl.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -1,1 +1,1 @@
-6526
+6528
Index: npl/system/openssl/openssl.md5
===================================================================
--- npl/system/openssl/openssl.md5	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ npl/system/openssl/openssl.md5	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -2,14 +2,12 @@
 1e6908ae51dcc3d1d9d5be0bad6bf803  ./doinst.sh-openssl.gz
 24389791b9e637dff90b350d9ba0e028  ./doinst.sh-openssl-solibs.gz
-130bb19745db2a5a09f22ccbbf7e69d0  ./openssl-1.0.1u.tar.gz
-696ff921e8d4ea2a2ab0105f95eb14a1  ./openssl_dev.pkg
-70d9c041f5c7de50bf5427b7366936f3  ./openssl.optsx86.diff.gz
-103544fe5a3d9606bccdcec53137e449  ./openssl.pkg
+44279b8557c3247cbe324e2322ecd114  ./openssl-1.0.2o.tar.gz
+1e1428b10e4bda1288610a541c0a31fb  ./openssl_dev.pkg
+4ad33ab343bd5cad7c14cd06a21ac109  ./openssl.pkg
 66f195b9f817484bd708cb1c71ea7b51  ./openssl.SlackBuild
-32df63a8e8907c3d0ff387833bc07b17  ./openssl.SlackBuild.log.gz
-5e1eaffc28a65b9108e30e8aed1ed981  ./openssl.SlackBuild.orig
-b3303a5b0c4d92f810ad5676d9d59563  ./openssl.soname.diff.gz
-eee205b1466225d1f33a483e83e6e62b  ./ossllibs_dev.pkg
-003f995b9c404708a03d69118b1ebf01  ./ossllibs.pkg
+504f35e0d315d81bcd2b5595fdfaeda2  ./openssl.SlackBuild.log.gz
+cae6039d35f7acfbbe81c84f24da06d1  ./openssl.SlackBuild.orig
+bda755739fe6595647aae17dc11a1505  ./ossllibs_dev.pkg
+f685f01dfa1d81ff2e055975a08327a9  ./ossllibs.pkg
 c179fc570282afc12c3a6eee101ced0d  ./slack-desc.openssl
 4b7562095ddf28453d54af0ad455a9a5  ./slack-desc.openssl-solibs
Index: npl/system/openssl/openssl.version
===================================================================
--- npl/system/openssl/openssl.version	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ npl/system/openssl/openssl.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -1,1 +1,1 @@
-1.0.1u
+1.0.2o
Index: npl/system/openssl/openssl_dev.build
===================================================================
--- npl/system/openssl/openssl_dev.build	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ npl/system/openssl/openssl_dev.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -1,1 +1,1 @@
-6526
+6528
Index: npl/system/openssl/openssl_dev.version
===================================================================
--- npl/system/openssl/openssl_dev.version	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ npl/system/openssl/openssl_dev.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -1,1 +1,1 @@
-1.0.1u
+1.0.2o
Index: npl/system/openssl/ossllibs.build
===================================================================
--- npl/system/openssl/ossllibs.build	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ npl/system/openssl/ossllibs.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -1,1 +1,1 @@
-6526
+6528
Index: npl/system/openssl/ossllibs.version
===================================================================
--- npl/system/openssl/ossllibs.version	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ npl/system/openssl/ossllibs.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -1,1 +1,1 @@
-1.0.1u
+1.0.2o
Index: npl/system/openssl/ossllibs_dev.build
===================================================================
--- npl/system/openssl/ossllibs_dev.build	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ npl/system/openssl/ossllibs_dev.build	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -1,1 +1,1 @@
-6526
+6528
Index: npl/system/openssl/ossllibs_dev.version
===================================================================
--- npl/system/openssl/ossllibs_dev.version	(revision 94ad01e5261c8d8f3fa81273039ebd3fba801443)
+++ npl/system/openssl/ossllibs_dev.version	(revision a39aa4cd130e528b10cb08b7f1ad03429f123c12)
@@ -1,1 +1,1 @@
-1.0.1u
+1.0.2o
